# Generated from rwr-alt-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rwr-alt

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Alt.js integration plugin for react_webpack_rails
License: MIT
URL: https://github.com/netguru/rwr-alt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
This integration makes it possible to populate and share Alt stores between
react component located in different part of rails views.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.babelrc
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.npmignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/js
%{gem_libdir}
%{gem_instdir}/package.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/alt_integration.gemspec
%doc %{gem_instdir}/docs

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.0-1
- Initial package
